<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolDrawRequirement" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>ssisotoolDrawRequirementisotoolRequirementArea</refname>

    <refpurpose>Displays the valid area for the specified requirement.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolDrawRequirement(ax,requirementType,requirementData)</synopsis>
  </refsection>
  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>ax</term>
        <listitem>
          <para>The axes handle of the sub window.</para>
        </listitem>
      </varlistentry>
    
     <varlistentry>
        <term>requirementType</term>
        <listitem>
          <para>A character string, the specified requirement type.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>requirementData</term>
        <listitem>
          <para> Numerical array, contains the requirement parameters
          values.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
 <refsection>
   <title>Called function</title>
   <para>
   <link
   linkend="sisotoolRequirementArea">sisotoolRequirementArea</link>
   which return the data of the polyline used to show the requirement
   constraints.
   </para>
</refsection>
</refentry>
